<?php
class AuthController extends AuthControllerCore
{
	public function preProcess()
	{
		include ('modules/mojeid/mojeidAuth.php');
		parent::preProcess();
	}
	
	public function displayContent()
	{
		global $cookie, $link;
		$cmsPage = new CMS(MojeId::getCMSId());
		
		self::$smarty->assign('loginImage', MojeId::getLoginImage());
		self::$smarty->assign('cmsLink', $link->getCMSLink($cmsPage->id, $cmsPage->link_rewrite));
		self::$smarty->assign('registerLink', __PS_BASE_URI__.'modules/mojeid/mojeid_register.php');
		parent::displayContent();
	}
}
