<?php
require_once 'Auth/OpenID/DatabaseConnection.php';

class Auth_OpenID_MyDbConn extends Auth_OpenID_DatabaseConnection
{
	private $_conn = null;
	
	public function __construct()
	{
		$this->_conn = $this->_getConnection();
	}
	
	private function _getConnection()
	{
		if (is_null($this->_conn)) {
			$dsn = "mysqli://root:gambrinus@localhost/ps_default";
            $conn =& DB::connect ($dsn);
            if (DB::isError ($conn))
                die ("Cannot connect: " . $conn->getMessage () . "\n");
            $this->_conn = $conn;            
		}
		return $this->_conn;
	}
 /**
     * Sets auto-commit mode on this database connection.
     *
     * @param bool $mode True if auto-commit is to be used; false if
     * not.
     */
    function autoCommit($mode)
    {
    	
    }

    /**
     * Run an SQL query with the specified parameters, if any.
     *
     * @param string $sql An SQL string with placeholders.  The
     * placeholders are assumed to be specific to the database engine
     * for this connection.
     *
     * @param array $params An array of parameters to insert into the
     * SQL string using this connection's escaping mechanism.
     *
     * @return mixed $result The result of calling this connection's
     * internal query function.  The type of result depends on the
     * underlying database engine.  This method is usually used when
     * the result of a query is not important, like a DDL query.
     */
    function query($sql, $params = array())
    {
    	return $this->_getConnection()->query ($sql);
    }

    /**
     * Starts a transaction on this connection, if supported.
     */
    function begin()
    {
    	echo 'gabla3'; exit;
    }

    /**
     * Commits a transaction on this connection, if supported.
     */
    function commit()
    {
    	echo 'gabla'; exit;
    }

    /**
     * Performs a rollback on this connection, if supported.
     */
    function rollback()
    {
    	echo 'gabla'; exit;
    }

    /**
     * Run an SQL query and return the first column of the first row
     * of the result set, if any.
     *
     * @param string $sql An SQL string with placeholders.  The
     * placeholders are assumed to be specific to the database engine
     * for this connection.
     *
     * @param array $params An array of parameters to insert into the
     * SQL string using this connection's escaping mechanism.
     *
     * @return mixed $result The value of the first column of the
     * first row of the result set.  False if no such result was
     * found.
     */
    function getOne($sql, $params = array())
    {
    	echo 'gabla4'; exit;
    }

    /**
     * Run an SQL query and return the first row of the result set, if
     * any.
     *
     * @param string $sql An SQL string with placeholders.  The
     * placeholders are assumed to be specific to the database engine
     * for this connection.
     *
     * @param array $params An array of parameters to insert into the
     * SQL string using this connection's escaping mechanism.
     *
     * @return array $result The first row of the result set, if any,
     * keyed on column name.  False if no such result was found.
     */
    function getRow($sql, $params = array())
    {
    	echo 'gabla5'; exit;
    }
    
    

    /**
     * Run an SQL query with the specified parameters, if any.
     *
     * @param string $sql An SQL string with placeholders.  The
     * placeholders are assumed to be specific to the database engine
     * for this connection.
     *
     * @param array $params An array of parameters to insert into the
     * SQL string using this connection's escaping mechanism.
     *
     * @return array $result An array of arrays representing the
     * result of the query; each array is keyed on column name.
     */
    function getAll($sql, $params = array())
    {
    	var_dump($sql); var_dump($params);
    	echo 'gabla55'; exit;
    }
}